@import "../style_multiple.css";

h1 {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  font-weight: inherit;
  font-style: inherit;
  font-size: 60%;
  font-family: inherit;
  vertical-align: baseline;
}
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  font-weight: inherit;
  font-style: inherit;
  font-size: 100%;
  font-family: inherit;
  vertical-align: baseline;
}

.modal-backdrop{
  z-index: 998;
}

html {
  scroll-behavior: smooth;
}

body {
  overflow-x: hidden;
  height: 100vh;
  color: var(--text);
}

.hidden {
  display: none;
}

/* ----------- MAIN CONTENT ----------- */
ul {
  list-style: none;
  padding: 0;
  margin: 0;
  font-size: 14px;
}

ul li {
  display:inline;
}

body{
  background-color: #000;
}

.title-seo {
  display: none;
}
.mainContent{
  position: relative;
  height: 100vh;
  width: 100%;
  background-color: #000;
}
.mainContent p{
  margin: 0;
}
.mainContent button:focus{
  outline: 0;
}
.mainContent::before{
  content: "";
  position: absolute;
  background-color: #00000073;
  height: 100%;
  width: 100%;
  display: block;
  z-index: 1;
}
.mainContent .infoPosiTest{
  position: absolute;
  z-index: 2;
  background-color: var(--azul);
  width: 100%;
  top: 0;
  color: white;
  text-align: center;
  font-size: 27px;
  height: 54px;
  align-items: center;
  display: flex;
  justify-content: center;
  transform: translateY(-100%);
  -webkit-transition: transform .3s;
  -moz-transition: transform .3s;
  transition: transform .3s;
}
.mainContent .infoPosiTest.open{
  transform: translateY(0);
}

.mainContent .infoPosiTest .backTest{
  display: none;
  position: absolute;
  left: 16px;
  top: 50%;
  transform: translateY(-50%);
  font-size: 20px;
}

.mainContent .video{
  position: absolute;
  height: 100%;
  width: 100%;
  object-fit: cover;
}
.mainContent .titlePage{
  max-width: 100% !important;
  top: 30%;
  position: absolute;
  font-weight: bold;
  text-align: center;
  font-size: 32px;
  max-width: 20rem;
  left: 0px;
  color: white;
  z-index: 2;
}
.mainContent .subTitlePage{
  position: absolute;
  text-align: center;
  font-size: 18px;
  width: 100%;
  left: 0px;
  top: 333px;
  color: white;
  z-index: 2;
  padding: 0px 10%;
}
.mainContent .testCard{
  position: absolute;
  z-index: 2;
  width: calc(100% - 30px);
  background-color: white;
  left: 50%;
  transform: translateX(-50%);
  border-radius: 10px;
  bottom: 3rem;
}
.mainContent .testCard .title{
  text-align: center;
  line-height: normal;
  font-size: 16px;
  padding: 12px;
  background-color: var(--amarillo);
  border-radius: 10px 10px 0 0;
  color: var(--azul);
  font-weight: 600;
}
.mainContent .testCard .subTitle p{
  text-align: center;
}
.mainContent .bodyCard{
  padding: 18px 12px;
}
.mainContent .bodyCard .initialButton{
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  padding: 9px 0px;
  width: 241px;
  background-color: var(--azul);
  color: white;
  border: none;
  border-radius: 5px;
}

.mainContent .bodyCard .inputRadioTest{
  display: none;
}
.mainContent .bodyCard .testButton{
  cursor: pointer;
  line-height: 1;
  width: 100%;
  margin-bottom: 14px;
  height: 50px;
  color: var(--text);
  border: 1px solid #C1C1C1;
  border-radius: 5px;
  font-size: 20px;
  background-color: transparent;
  text-align: left;
  padding: 10px;
  display: flex;
  align-items: center;
}
.mainContent .bodyCard .testButton:hover{
  background-color: #0047cc0d;
}
.mainContent .bodyCard .testButton:last-of-type{
  margin-bottom: 0;
}
.mainContent .bodyCard .testButton > div{
  /* border: 1px solid #C1C1C1; */
  min-width: 32px;
  height: 32px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100%;
  margin-right: 5px;
  font-weight: 600;
  color: var(--rosa);
}
.mainContent .bodyCard .testButton > div > p{
  position: relative;
}
.mainContent .bodyCard .testInput:checked + .testButton{
  color: var(--text);
  border: 2px solid #079863!important;
}
.mainContent .bodyCard .testInput:hover + .testButton{
  color: var(--text);
  border: 2px solid var(--azul)!important;
}
.mainContent #formDataFinal{
  text-align: center;
  display: none;
}
.mainContent #formDataFinal .terminos input:checked ~ .checkmark {
  background-color: var(--azul) !important;
  border: none!important;
}
.mainContent #formDataFinal .inputs-form-llamada input{
  text-align: center;
  margin-bottom: 6px;
  font-size: 20px;
  border: 1px solid #C1CDDD;
  color: #667790;
}

.mainContent #formDataFinal .inputs-form-llamada input::placeholder{
  color: #C1CDDD;
}

.mainContent #formDataFinal .inputs-form-llamada input:focus{
  outline: none;
}

.mainContent #formDataFinal .inputs-form-llamada input:last-of-type{
  margin-bottom: 16px;
}
.mainContent #formDataFinal .btn-quiero button,
.mainContent .btnContinuarCheck{
  padding: 9px 0px;
  width: 241px;
}
.mainContent .btnContinuarCheck{
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  margin-top: 1rem;
}
.mainContent #formDataFinal .terminos{
  font-size: 15px;
  font-weight: 100;
  position: relative;
  width: 100%;
  margin: 0 auto;
  margin-bottom: 1rem;
  max-width: 241px;
  padding-left: 25px;
  text-align: left;
}
.mainContent #formDataFinal .terminos a{
  color: var(--text);
  text-decoration: underline!important;
}
.mainContent #formDataFinal .terminos .politica-de-privacidad{
  text-decoration: underline;
}
.mainContent #formDataFinal .backgroundBtn,
.btnContinuarCheck{
  width: 229px;
  left: 50%;
  padding: 9px 0px;
  background-color: var(--azul);
  color: white;
  border: none;
  border-radius: 5px;
}
.mainContent .mainDiv .fa-spin{
  position: relative;
  left: 47%;
  transform: translateX(-50%);
}
input[type='radio'],
.testInput[type='checkbox']{
  display: none;
}

/* ---- CUSTOM CHECKBOX ---- */

/* Hide the browser's default checkbox */
.mainContent #formDataFinal .terminos input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

/* Create a custom checkbox */
.mainContent #formDataFinal .terminos .checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 20px;
  width: 20px;
  border: 1px solid #66768f80;
  border-radius: 2px;
}

/* On mouse-over, add a grey background color */
.mainContent #formDataFinal .terminos:hover input ~ .checkmark {
  background-color: #f3f3f3;
}

/* When the checkbox is checked, add a blue background */
.mainContent #formDataFinal .terminos input:checked ~ .checkmark {
  background-color: var(--rosa);
  border: none!important;
}

/* Create the checkmark/indicator (hidden when not checked) */
.mainContent #formDataFinal .terminos .checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.mainContent #formDataFinal .terminos input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.mainContent #formDataFinal .terminos .checkmark:after {
  left: 8px;
  top: 4px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

/* ---- FIN CUSTOM CHECKBOX ---- */

/* ----------- FIN MAIN CONTENT ----------- */

footer{
  background-color: #fff;
  padding: 0.8rem;
  text-align: center;
}

footer a,
footer a:hover,
footer a:active{
  color: #5b5959;
  text-decoration: none;
}

/* ----------- CookieFirst ----------- */

.linkPreferencias {
  color: #32474a !important;
}

.cf2Lf6[aria-label="Preferencias de cookies"] {
  display: none !important;
}

.cf3CaA.cf3-eh {
  display: none !important;
}
.cf2MAH.cf3ItN.cf1JQt {
  display: none !important;
}
.cf2EfR {
  display: none !important;
}

/* ------------- SCROLLBAR ------------- */
/* width */

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1; 
}

/* Handle */
  ::-webkit-scrollbar-thumb {
    background-color: #c1c1c1;  
  }
  
/* ------------- FIN SCOLLBAR ------------- */